edu.northwestern.at.morphadorner.corpuslinguistics.thesaurus

## Class AbstractThesaurus

- java.lang.Object
- - edu.northwestern.at.utils.IsCloseableObject
  - - edu.northwestern.at.morphadorner.corpuslinguistics.thesaurus.AbstractThesaurus

- All Implemented Interfaces:
    Thesaurus, IsCloseable, UsesLogger
  Direct Known Subclasses:
    WordnetThesaurus

      public abstract class AbstractThesaurus
      extends IsCloseableObject
      implements Thesaurus, IsCloseable, UsesLogger

  Base class for a thesaurus.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Logger` | `logger` Logger used for output.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractThesaurus()` Create a word tokenizer.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.util.List<java.lang.String>` | `getAntonyms(java.lang.String word)` Get antonyms.
    `Logger` | `getLogger()` Get the logger.
    `abstract java.util.List<java.lang.String>` | `getSynonyms(java.lang.String word)` Get synonyms.
    `void` | `setLogger(Logger logger)` Set the logger.

    - ### Methods inherited from class edu.northwestern.at.utils.IsCloseableObject

      `close`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface edu.northwestern.at.morphadorner.corpuslinguistics.thesaurus.Thesaurus

      `getAntonyms, getSynonyms`

    - ### Methods inherited from interface edu.northwestern.at.utils.IsCloseable

      `close`

- - ### Field Detail

    - #### logger

          protected Logger logger

      Logger used for output.

  - ### Constructor Detail

    - #### AbstractThesaurus

          public AbstractThesaurus()

      Create a word tokenizer.

  - ### Method Detail

    - #### getLogger

          public Logger getLogger()

      Get the logger.
      Specified by:
        `getLogger` in interface `UsesLogger`
      Returns:
        The logger.

    - #### setLogger

          public void setLogger(Logger logger)

      Set the logger.
      Specified by:
        `setLogger` in interface `UsesLogger`
      Parameters:
        `logger` - The logger.

    - #### getSynonyms

          public abstract java.util.List<java.lang.String> getSynonyms(java.lang.String word)

      Get synonyms.
      Specified by:
        `getSynonyms` in interface `Thesaurus`
      Parameters:
        `word` - Word for which to find synonyms.
      Returns:
        String list containing synonyms.

    - #### getAntonyms

          public abstract java.util.List<java.lang.String> getAntonyms(java.lang.String word)

      Get antonyms.
      Specified by:
        `getAntonyms` in interface `Thesaurus`
      Parameters:
        `word` - Word for which to find antonyms.
      Returns:
        String list containing antonyms.